
Extended Fields - Bug #2153

Internal error

20 Feb 2013 15:45 - Domingo Oropeza

Status: Closed Start date: 20 Feb 2013

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.2   

Redmine version: 2.3 External issue:  

Description

When I install this plugin and Extended Profile I’m getting an internal error trying to add or edit an custom field, here is the log...

Processing by CustomFieldsController#new as HTML

  Parameters: {"type"=>"IssueCustomField"}

  Current user: doropeza (id=3)

  Rendered plugins/extended_fields/app/views/custom_fields/_extended.html.erb (9.0ms)

  Rendered custom_fields/_form.html.erb (25.5ms)

  Rendered custom_fields/new.html.erb within layouts/admin (36.1ms)

Completed 500 Internal Server Error in 105ms

ActionView::Template::Error (wrong number of arguments (1 for 0)):

    1: <% projects = Project.all_public.active(:order => 'name').collect{ |project| [ project.name

, project.id ] } %>

    2: 

    3: <% unless defined? observe_field %>

    4: 

  app/models/project.rb:91:in `block in <class:Project>'

  lib/redmine/hook.rb:111:in `block in render_on'

  lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `block in call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

  lib/redmine/hook.rb:158:in `call_hook'

  app/views/custom_fields/_form.html.erb:43:in `_app_views_custom_fields__form_html_erb___18442117

3_103293260'

  app/views/custom_fields/new.html.erb:6:in `block in _app_views_custom_fields_new_html_erb___9758

00513_102558610'

  app/helpers/application_helper.rb:944:in `labelled_form_for'

  app/views/custom_fields/new.html.erb:5:in `_app_views_custom_fields_new_html_erb___975800513_102

558610'

I have a redmine cloned & updated proyect from github.

Related issues:

Related to Extended Fields - Bug #2182: internal error opening custom fields Closed 13 Apr 2013

Associated revisions

Revision 91 - 30 Jun 2013 18:43 - Andriy Lesyuk

Fixed #2187, #2182, #2181, #2153 and bumped to version:0.2.2

History

#1 - 21 Feb 2013 18:34 - Andriy Lesyuk

- Status changed from New to Incomplete

Are you using the latest version of the plugin? You specified 2.3 as “System version” – do you mean Redmine 2.3.x?
#2 - 22 Feb 2013 13:53 - Domingo Oropeza

Andriy Lesyuk wrote:

Are you using the latest version of the plugin? You specified 2.3 as “System version” – do you mean Redmine 2.3.x?

 

Yes, I’m meaning Redmine 2.3.x (cloned by git) and the last version of the plugin (cloned by svn).

I’m n00b in ruby but with a lot of knowlege of php, I am not sure that this is the best fix but I’ve changed the line with .order('name’)

<% projects = Project.all_public.active.order('name’).collect{ |project| [ project.name, project.id ] } %>

If there’s a better fix, you will know how it will be

#3 - 25 May 2013 21:21 - Andriy Lesyuk

- Status changed from Incomplete to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.2.2

#4 - 30 Jun 2013 17:33 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 100

#5 - 30 Jun 2013 18:44 - Andriy Lesyuk

- Status changed from In Progress to Closed

Applied in changeset r91.
